<?php
  // Sitzung starten
  require_once('sitzungsstart.php');

  // Seitentitel einfügen
  $seitentitel = 'Wenn Gegensätze sich anziehen!';
  require_once('header.php');

  require_once('appvars.php');
  require_once('verbvars.php');

  // Navigationsmenü anzeigen
  require_once('navmenu.php');

  // Mit Datenbank verbinden 
  $db = mysqli_connect(DB_HOST, DB_BENUTZER, DB_PASSWORT, DB_NAME);
  mysqli_set_charset($db, "utf8");
  

  // Benutzerdaten aus Datenbank abrufen
  $sql = "SELECT id, vorname, bild FROM hl_nutzer WHERE vorname IS NOT NULL ORDER BY anmeldedatum DESC LIMIT 5";
  $daten = mysqli_query($db, $sql);
  
  // Das Array mit den Benutzerdaten durchlaufen und Daten mit HTML formatieren
  echo '<h4>Neue Mitglieder:</h4>';
  echo '<table>';
	while ($zeile = mysqli_fetch_array($daten)) {
    if (is_file(HL_IMAGESPFAD . $zeile['bild']) && filesize(HL_IMAGESPFAD . $zeile['bild']) > 0) {
      echo '<tr><td><img src="' . HL_IMAGESPFAD . $zeile['bild'] . '" alt="' . $zeile['vorname'] . '" /></td>';
    }
    else {
      echo '<tr><td><img src="' . HL_IMAGESPFAD . 'nopic.jpg' . '" alt="' . $zeile['vorname'] . '" /></td>';
    }
    if (isset($_SESSION['id'])) {
      echo '<td><a href="profilansehen.php?id=' . $zeile['id'] . '">' . $zeile['vorname'] . '</a></td></tr>';
    }
    else {
      echo '<td>' . $zeile['vorname'] . '</td></tr>';
    }
  }
  echo '</table>';

  mysqli_close($db);
?>
  
<?php
  // Fußleiste einfügen
  require_once('footer.php');
?>
