<?php
  require_once('verbvars.php');

  // Sitzung starten
  session_start();

  // Fehlermeldung zurücksetzen
  $fehlermldg = "";

  // Versuchen, den Benutzer einzuloggen, wenn er nicht eingeloggt ist
    if (!isset($_SESSION['id'])) {
    if (isset($_POST['submit'])) {
      // Mit Datenbank verbinden
      $db = mysqli_connect(DB_HOST, DB_BENUTZER, DB_PASSWORT, DB_NAME);
      mysqli_set_charset($db, "utf8");
      
      // Die eingegebenen Login-Daten abrufen
      $auth_nutzername = mysqli_real_escape_string($db, trim($_POST['nutzername']));
      $auth_passwort = mysqli_real_escape_string($db, trim($_POST['passwort']));

      if (!empty($auth_nutzername) && !empty($auth_passwort)) {
        // Benutzername und Passwort in der Tabelle nachschlagen
        $sql = "SELECT id, nutzername FROM hl_nutzer WHERE nutzername = '$auth_nutzername' AND " .
          "passwort = SHA('$auth_passwort')";
        $daten = mysqli_query($db, $sql);

        if (mysqli_num_rows($daten) == 1) {
          // Login erfolgreich, also die Cookies setzen und den Benutzer zur Hauptseite umleiten
          $zeile = mysqli_fetch_array($daten);
    	    $_SESSION['id'] = $zeile['id'];
          $_SESSION['nutzername'] = $zeile['nutzername'];
          setcookie('id', $zeile['id'], time() + (60 * 60 * 24 * 30));    // Verfällt in 30 Tagen
          setcookie('nutzername', $zeile['nutzername'], time() + (60 * 60 * 24 * 30));  // Verfällt in 30 Tagen
          $hauptseite = 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . '/index.php';
          header('Location: ' . $hauptseite);
        }
        else {
          // Benutzername/Passwort falsch, also Fehlermeldung setzen
          $fehlermldg = 'Sie müssen gültige Zugangsdaten eingeben, um sich einzuloggen.';
        }
      }
      else {
        // Benutzername/Passwort nicht eingegeben, also Fehlermeldung setzen
        $fehlermldg = 'Sie müssen Ihre Zugangsdaten eingeben, um sich einzuloggen.';
      }
    }
  }

  // Seitentitel einfügen
  $seitentitel = 'Login';
  require_once('header.php');
  
  // Wenn Sitzungsvariablen leer sind, Fehlermeldungen und Login-Formular anzeigen; andernfalls Login bestätigen
  if (empty($_SESSION['id'])) {
  	echo '<p class="fehler">' . $fehlermldg . '</p>';
?>
  <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <fieldset>
      <legend>Login</legend>
      <label for="nutzername">Benutzername:</label>
      <input type="text" id="nutzername" name="nutzername"
        value="<?php if (!empty($auth_nutzername)) echo $auth_nutzername; ?>" /><br />
      <label for="passwort">Passwort:</label>
      <input type="password" id="passwort" name="passwort" />
    </fieldset>
    <input type="submit" value="Login" name="submit" />
  </form>
 	
<?php
  }
  else {
    // Login bestätigen
    echo('<p class="login">Herzlich Willkommen, ' . $_SESSION['nutzername'] . '.</p>');
  }
?>
  
<?php
  // Fußleiste einfügen
  require_once('footer.php');
?>
